## javax.xml.rpc.encoding
Interface Deserializer

All Superinterfaces:
  java.io.Serializable

All Known Subinterfaces:
  Deserializer

All Known Implementing Classes:
  CastorDeserializer, DeserializerImpl

public interface Deserializer
extends java.io.Serializable

The javax.xml.rpc.encoding.Deserializer interface defines a base interface for deserializers. A Deserializer converts an XML representation to a Java object using a specific XML processing mechanism and based on the specified type mapping and encoding style.

Version:
  1.0

Method Summary
`java.lang.String` `getMechanismType()` Gets the type of the XML processing mechanism and representation used by this Deserializer.

Method Detail

### getMechanismType

    public java.lang.String getMechanismType()

  Gets the type of the XML processing mechanism and representation used by this Deserializer.

  Returns:
    XML processing mechanism type

Copyright © 2003 Apache Web Services Project. All Rights Reserved.